Bug 247856 - /usr/bin/host dumps core when -w is used with explicitly specified nameserver
Summary: /usr/bin/host dumps core when -w is used with explicitly specified nameserver
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bind   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-11 18:10 UTC by Mark Schreiber
Modified: 2013-04-30 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-17 06:13:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Schreiber 2007-07-11 18:10:59 UTC
Description of problem:
/usr/bin/host dumps core when the -w flag (no timeout) is used with a nameserver.

Version-Release number of selected component (if applicable):
bind-utils-9.4.1-6.1.fc7

How reproducible:
$ host -w www.redhat.com ns1.redhat.com
timer.c:710: INSIST(result == 0 || result == 2) failed.
zsh: abort (core dumped)  host -w www.redhat.com 1.1.1.1

Steps to Reproduce:
1.$ host -w www.redhat.com ns1.redhat.com
2.
3.
  
Actual results:
Core dump produced

Expected results:
To return a response or simply wait forever, similar to behavior with -W10000
flag (but forever, instead of 10000 seconds).

Additional info:

Comment 1 Mark Schreiber 2007-07-11 18:13:50 UTC
Ooops.  The core dump should be from a process with the commandline host -w
www.redhat.com ns1.redhat.com rather than host -w www.redhat.com 1.1.1.1.  I was
trying different options.

Comment 2 Adam Tkac 2007-07-17 06:13:52 UTC
Fixed in rawhide, 9.5.0a5-3

Adam


Note You need to log in before you can comment on or make changes to this bug.